• You've discovered RedGuides 📕 an EverQuest multi-boxing community 🛡️🧙🗡️. We want you to play several EQ characters at once, come join us and say hello! 👋
  • IS THIS SITE UGLY? Click "RG3" at the very bottom-left of this page to change it. To dismiss this notice, click the X --->

Question - MQ2EQWire and RoF2 client. (1 Viewer)

Joined
Apr 4, 2018
RedCents
25¢
I bought MQ2EQWire but I get an error when attempting to load the plugin on RoF2 (emu). I have looked for a link to a version compiled for RoF2 but I can not find said link on the site. Can someone please help my blind a$$ find where I have to click to get the RoF2 version? Thanks.
 

Sic

Nihil
Moderator
Joined
May 5, 2016
RedCents
7,237¢
I bought MQ2EQWire but I get an error when attempting to load the plugin on RoF2 (emu). I have looked for a link to a version compiled for RoF2 but I can not find said link on the site. Can someone please help my blind a$$ find where I have to click to get the RoF2 version? Thanks.
i believe just like test server, the files are included for our emu build - you shouldn't have to try and download them (normally you would manage this in your redguides launcher, but not for test/emu/beta
1593862581026.png


can you be specific on what happens when you try /plugin mq2eqwire load

if you have downloaded another version of it and drag/dropped it into your emu VV folder, you will need to reinstall via the launcher as a plugin compiled for live isn't going to be happy trying to run on emu
 
Joined
Apr 4, 2018
RedCents
25¢
All I bought was EQWire. I did not buy the sub to RedGuides to get the full pack. All I need is eqwire. I can't download the launcher because I'm not a tier 2 member.

Do I have to buy the redguides pack to get a version of Wire for emu servers?

I downloaded the zip from the MQ2EQWire page and dropped it into the mq2 directory for RoF2. Only one dll was included in the zip. I assume the one compiled for live, which explains the error I screenshot.
 

Attachments

Last edited:

Sic

Nihil
Moderator
Joined
May 5, 2016
RedCents
7,237¢
All I bought was EQWire. I did not buy the sub to RedGuides to get the full pack. All I need is eqwire. I can't download the launcher because I'm not a tier 2 member.

Do I have to buy the redguides pack to get a version of Wire for emu servers?

I downloaded the zip from the MQ2EQWire page and dropped it into the mq2 directory for RoF2. Only one dll was included in the zip. I assume the one compiled for live, which explains the error I screenshot.
well that error is saying the structs are wrong - so yeah, you're going to want the emu mq2 compile to match the plugin otherwise the plugin has no idea where/what/how/why/when what direction is up/down etc

you might want to shoot @eqmule a msg directly and see if can help you.
 
Joined
Apr 4, 2018
RedCents
25¢
OK.... How do I GET the emu compiled version of mq2eqwire?
Please be clear, is the only way to get the Emu complied version to become a level 2 member to Redguides?

The page clearly states that there is a version for live, emu, test, and tlp; charges 10$, but only provides a DL link for one of the four...
 
Last edited:

Sic

Nihil
Moderator
Joined
May 5, 2016
RedCents
7,237¢
OK.... How do I GET the emu compiled version of mq2eqwire?
Please be clear, is the only way to get the Emu complied version to become a level 2 member to Redguides?

The page clearly states that there is a version for live, emu, test, and tlp. But only provides a DL link for one of the four. Then charges 10$ for a version that only works on Live.....
I'm sorry for any confusion. The paid resources allow you to supplement with your lvl 2 redguide's membership.

each plugin gets "compiled" anytime there is an update or changes and the plugins get compiled when main gets compiled and they go together.
if there is a mismatched anywhere - like in the case with you tossing what appears to be a live file (which would have different structs/offsets etc) then its not going to function at all.

My best suggestion is to shoot @eqmule a msg - it his his plugin and he is one of the main devs for MQ2, he might be able to build you a version for whatever emu build you have since you purchased the plugin. I can't speak for him or know if that is even a possibility, but it was a suggestion to try and get you using mq2eqwire.


I didn't even know you could purchase any of the paid resources if you weren't lvl 2, so that is either intended or an accidental oversite and i can let @Redbot know so we can help eliminate any future issues like this, because i can understand this is frustrating for you.
 

Sic

Nihil
Moderator
Joined
May 5, 2016
RedCents
7,237¢
@katkid15 just sent you 3 months of level 2 access
yeah I didn't do that because i suspect katkid has a reason why they run the emu version/setup they do and was hoping mule might be able to address the issue directly before forcing katkid to swap over to this compile.

but at least now the option is there
 

Sic

Nihil
Moderator
Joined
May 5, 2016
RedCents
7,237¢
well he can download the emu build grab the mq2eqwire from the emu build and see if that works for his version.
good call kaen!

@katkid15 the lvl 2 will allow you to download VV emu version with the redguides launcher, and then you *should* be able to copy over the mq2eqwire.dll over to your emu setup. I suspect all the offsets/structs for the rofemu2 haven't changed =p
 
Joined
Apr 4, 2018
RedCents
25¢
@Sic

I tried using the dll with my mq2 and it didn't inject. I don't 'want' to move everything over to another compile, but its working at least.
Thanks for your help.

As an aside, I hope its an accidental oversight. If it's intended that says something rather ... bad.

@kaen01
Thanks so much. I appreciate it.
 

Attachments

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Top